Starting fvwm: Can't load libXpm.so.6

Starting fvwm: Can't load libXpm.so.6

Post by Pascal Forge » Tue, 12 Sep 1995 04:00:00



I just upgraded my Linux system to all-ELF.  I also upgraded my X
stuff by downloading the XFree86 3.1.2 and FVWM 1.24r binaries
from sunsite.

twm works fine, but I'd rather use fvwm.  If I try to launch fvwm, I get:
"Can't load linXpm.so.6"

But the library _IS_ there in /usr/X11/lib, and the directory is in the path.

Any suggestion?

Thanks,


 
 
 

Starting fvwm: Can't load libXpm.so.6

Post by Mitch DSou » Wed, 13 Sep 1995 04:00:00


: I just upgraded my Linux system to all-ELF.  I also upgraded my X
: stuff by downloading the XFree86 3.1.2 and FVWM 1.24r binaries
: from sunsite.

: twm works fine, but I'd rather use fvwm.  If I try to launch fvwm, I get:
: "Can't load linXpm.so.6"

I have never heard of linXpm.so.6 and I can assure you it doesn't exist on
your system.

: But the library _IS_ there in /usr/X11/lib, and the directory is in the path.

: Any suggestion?

The answer is probably that your fvwm and lib are different executable
formats -i.e. one is ELF and the other is a.out

Mitch

 
 
 

Starting fvwm: Can't load libXpm.so.6

Post by Bill Kaeli » Wed, 13 Sep 1995 04:00:00


As a matter of fact... I just successfully installed the ELF variant of fvwm
1.24r last night.  The problem I had when starting XFree86-3.1.2 was with
libXpm.so.4 not linXpm.so.6 as written in your inquiry (possibly a typo).  If
we're talking the same problem, I downloaded the source code for libXpm.so.4
from sunsite (the file is libXpm-4.6.tar.gz).  In the readme file within the
archive, the author explains that the libraries contained are for a.out not
ELF. To get an ELF library, you have to re-compile with the GNU ELF compiler.
I had upgraded to the GNU 2.7.0 ELF compiler recently and had no problems
compiling the new libraries (libXpm.so.4, libXpm.sa and libXpm.a).  The
author's process for installing the libraries (in his readme file) is slightly
incorrect.  There is an omitted "ranlib" that must be executed during the
process of coyping the libraries to the /usr/X11R6/lib directory and subsequent
ldconfig steps.  However following the initial process "xmkmf;make
Makefiles;make", then a "make install" correctly performs the "ranlib" step.
If you have any problems doing this, e-mail me and I can either help or send
you the ELF libraries directly.
--
   --------------------------------------------------------------

   (703) 620-7062                           12010 Sunrise Valley Drive
   (703) 620-7833 FAX                       Reston, VA 22091-3498
   Opinions are my own not UFS's.
 
 
 

1. fvwm - can't load libXpm.so.4

Hi,

When I try and start fvwm I get the error "Can't load library libXpm.so.4.
This file is located in /usr/i486-linuxaout/lib buy when I put this in my path
I still get the same error.
I am using Red Hat 4.1.

Any help would be appreciated.

Thanks


2. GPM to control Xfree86

3. Netscape can't load 'libXpm.so.4'

4. Summary: problem building pdksh v4.9 resolved.

5. netscape - can't load library 'libXpm.so.4'

6. Testing last modified.

7. Newbie startx problem: can't load library 'libXpm.so.4'

8. PPP Probs

9. netscape: can't load library 'libXpm.so.4'

10. can't load library 'libXpm.so.4'...

11. "can't load library 'libXpm.so.4'"

12. netscape error: can't load libXpm.so.4